Download it now!
Bug 122607 - Frame gets mispositioned when exported to PDF multiple times
Summary: Frame gets mispositioned when exported to PDF multiple times
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Samuel Mehrbrodt (CIB)
URL:
Whiteboard: target:6.3.0
Keywords:
Depends on:
Blocks: PDF-Export
  Show dependency treegraph
 
Reported: 2019-01-09 16:19 UTC by Samuel Mehrbrodt (CIB)
Modified: 2019-05-27 11:07 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
bugdoc (22.73 KB, application/vnd.oasis.opendocument.text)
2019-01-09 16:19 UTC, Samuel Mehrbrodt (CIB)
Details
Expected output (75.78 KB, application/pdf)
2019-01-09 16:21 UTC, Samuel Mehrbrodt (CIB)
Details
Actual output (75.73 KB, application/pdf)
2019-01-09 16:22 UTC, Samuel Mehrbrodt (CIB)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Samuel Mehrbrodt (CIB) 2019-01-09 16:19:29 UTC
Created attachment 148173 [details]
bugdoc

1. Start LibreOffice
2. Convert the attached bugdoc to pdf via command line. Do this three (3) times
  libreoffice --convert-to pdf bugdoc.odt --outdir .

Actual:
The third time, the frame in the header containing "Fax: 01/133-1234" will be mispositioned in the generated PDF (moves down a bit)

Expected:
PDF should look as the odt in LibreOffice.
Comment 1 Samuel Mehrbrodt (CIB) 2019-01-09 16:21:48 UTC
Created attachment 148174 [details]
Expected output
Comment 2 Samuel Mehrbrodt (CIB) 2019-01-09 16:22:03 UTC
Created attachment 148175 [details]
Actual output
Comment 3 Cor Nouws 2019-01-09 20:23:09 UTC
possibly I tried four times, but I can't confirm in Versie: 6.2.0.1
Build ID: 0412ee99e862f384c1106d0841a950c4cfaa9df1
CPU-threads: 4; Besturingssysteem: Linux 4.15; UI-render: standaard; VCL: gtk3; 
Locale: nl-NL (nl_NL.UTF-8); UI-taal: nl-NL
Calc: threaded
Comment 4 Samuel Mehrbrodt (CIB) 2019-01-10 06:13:51 UTC
(In reply to Cor Nouws from comment #3)
> possibly I tried four times, but I can't confirm in Versie: 6.2.0.1

Did you start LO before converting (was the soffice instance running all the time)?
Comment 5 Cor Nouws 2019-01-10 10:04:21 UTC
(In reply to Samuel Mehrbrodt (CIB) from comment #4)

> Did you start LO before converting (was the soffice instance running all the
> time)?

I had been running, but was closed when I started the conversion from the command line..
Comment 6 Samuel Mehrbrodt (CIB) 2019-01-21 14:17:48 UTC
The first "bad" release was OpenOffice 3.3.0 / build 9567.
OpenOffice 3.2.1 still works correctly here.
Comment 7 Samuel Mehrbrodt (CIB) 2019-01-21 15:32:03 UTC
good: 3.2.1 / build 9502 / OOO320m18
bad:  3.3.0 / build 9567 / OOO330m20
Comment 8 Samuel Mehrbrodt (CIB) 2019-01-24 14:56:15 UTC
(In reply to Cor Nouws from comment #5)
> (In reply to Samuel Mehrbrodt (CIB) from comment #4)
> 
> > Did you start LO before converting (was the soffice instance running all the
> > time)?
> 
> I had been running, but was closed when I started the conversion from the
> command line..

Then something is wrong there. conversion should not terminate an soffice which was running beforehand.
Comment 9 Xisco Faulí 2019-01-24 15:43:27 UTC
Patch in gerrit -> https://gerrit.libreoffice.org/#/c/66874/
moving to new
Comment 10 Commit Notification 2019-01-25 07:19:33 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/1ecca673b40fedc53db125e332b087d1c120a254%5E%21

tdf#122607 Don't unnecessarily redo the layout

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2019-02-12 08:15:12 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/e41b09d0126ecb28cff277c9b4b40eae7cc7c3f4%5E%21

tdf#122607 Fix layout invalidation in headless mode

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2019-04-30 13:29:04 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/31ae7509003b1e650463ee1468c0b315ba13efe6%5E%21

tdf#122607 sw: remove deleted SwTextFrame's cache entry

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2019-04-30 13:29:11 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/3d37463eec0c891243a8971a34903b2da01c9e24%5E%21

tdf#122607 sw: fix preservation of text frame cache entries

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2019-04-30 13:30:51 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/5879351aeb1935e2bf86fda59703f7d49fdeb6ed%5E%21

tdf#122607 sw: restore CalcLayout() call in getRendererCount()

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.